{

    // Lycaon天赋技能02：蓄力攻击命中敌人时，额外回复10点Sp（有5秒内置冷却时间）

    "AbilityName" : "Lycaon_Talent_02",

    "AbilityStacking": "Unique",



    "DefaultModifier":

    {

        "OnAdded": 

        [

            {

                "$type": "MoleMole.SetAnimCtrlerParamAction",

                "ParamType": 2,

                "ParamName": "Bool_Talent_02",

                "Target": "Self",

                "BoolVal": true

            }

        ],



        "OnHitOther":

        [

            {

                "$type": "MoleMole.ApplyModifier",

                "ModifierName": "RecoverSPModifer",

                "Target": "Self",

                "Predicates":

                [

                    {

                        "$type" : "MoleMole.ByAnimatorEventIDs",

                        "Target" : "Self",

                        "AnimatorEventIDs" : 

                        [

                            "Lycaon_Attack_Normal_01_Enhance_AttackProperty_01",

                            "Lycaon_Attack_Normal_02_Enhance_AttackProperty_01",

                            "Lycaon_Attack_Normal_03_Enhance_AttackProperty_01",

                            "Lycaon_Attack_Normal_03_Enhance_AttackProperty_02",

                            "Lycaon_Attack_Normal_04_Enhance_AttackProperty_01",

                            "Lycaon_Attack_Normal_04_Enhance_AttackProperty_02",

                            "Lycaon_Attack_Normal_04_Enhance_AttackProperty_03",



                            "Lycaon_Attack_Normal_05_Enhance_01_AttackProperty_01_01",

                            "Lycaon_Attack_Normal_05_Enhance_01_AttackProperty_01_02",

                            "Lycaon_Attack_Normal_05_Enhance_01_AttackProperty_02_01",

                            "Lycaon_Attack_Normal_05_Enhance_01_AttackProperty_02_01",

                            "Lycaon_Attack_Normal_05_Enhance_01_AttackProperty_02_03",



                            "Lycaon_Attack_Normal_05_Enhance_02_AttackProperty_01_01",

                            "Lycaon_Attack_Normal_05_Enhance_02_AttackProperty_01_02",

                            "Lycaon_Attack_Normal_05_Enhance_02_AttackProperty_01_03",

                            "Lycaon_Attack_Normal_05_Enhance_02_AttackProperty_01_04",

                            "Lycaon_Attack_Normal_05_Enhance_02_AttackProperty_02_01",

                            "Lycaon_Attack_Normal_05_Enhance_02_AttackProperty_02_02",

                            "Lycaon_Attack_Normal_05_Enhance_02_AttackProperty_02_03",

                            "Lycaon_Attack_Normal_05_Enhance_02_AttackProperty_02_04",



                            "Lycaon_Attack_Branch_01_Enhance_01_AttackProperty_01_01",

                            "Lycaon_Attack_Branch_01_Enhance_01_AttackProperty_01_02",

                            "Lycaon_Attack_Branch_01_Enhance_02_AttackProperty_01",

                            "Lycaon_Attack_Branch_01_Enhance_02_AttackProperty_02_01",

                            "Lycaon_Attack_Branch_01_Enhance_02_AttackProperty_02_02",



                            "Lycaon_Attack_Branch_02_Enhance_01_AttackProperty_01_01",

                            "Lycaon_Attack_Branch_02_Enhance_01_AttackProperty_01_02",

                            "Lycaon_Attack_Branch_02_Enhance_02_AttackProperty_01",

                            "Lycaon_Attack_Branch_02_Enhance_02_AttackProperty_02",

                            "Lycaon_Attack_Branch_02_Enhance_02_AttackProperty_03",

                            "Lycaon_Attack_Branch_02_Enhance_02_AttackProperty_04_01",

                            "Lycaon_Attack_Branch_02_Enhance_02_AttackProperty_04_02",

                        ]

                    }

                ]

            },

        ],

    },



    "Modifiers" : 

    {

        "RecoverSPModifer" : 

        {

            "ModifierStacking": "Unique",

            "Duration" : "%AS_IntervalCD",



            "OnAdded":

            [

                {

                    "$type": "MoleMole.RecoverSPAction",

                    "Target" : "Self",

                    "Percentage": 0,

                    "Amount": "%AS_RecoverSp",

                    "IgnoreRatio": false,

                }

            ]

        },

    },



    "AbilitySpecials" : 

    {

        //表格参数

        "AS_RecoverSp" :

        {

            "Value" : 10

        },



        "AS_IntervalCD" :

        {

            "Value" : 5

        }

    }

}